# Generated by Django 3.2.10 on 2021-12-27 16:19

from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('basic', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Domain',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('alias', models.CharField(max_length=64)),
                ('start', models.DateTimeField(blank=True)),
                ('finis', models.DateTimeField(blank=True)),
                ('price', models.FloatField(default=0)),
                ('owner', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='domaines', to='basic.organism')),
            ],
        ),
        migrations.CreateModel(
            name='Hosting',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('alias', models.CharField(max_length=64)),
                ('target', models.URLField(blank=True)),
                ('pseudo', models.CharField(blank=True, max_length=256)),
                ('passwd', models.CharField(blank=True, max_length=256)),
                ('domain', models.ManyToManyField(blank=True, related_name='hosting', to='panel.Domain')),
                ('owner', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='hosting', to='basic.organism')),
            ],
        ),
        migrations.CreateModel(
            name='Website',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('alias', models.CharField(max_length=64)),
                ('frame', models.CharField(blank=True, choices=[('wp', 'WordPress'), ('mg', 'Magento'), ('ps', 'PrestaShop')], max_length=24)),
                ('target', models.URLField(blank=True)),
                ('pseudo', models.CharField(blank=True, max_length=256)),
                ('passwd', models.CharField(blank=True, max_length=256)),
                ('owner', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='websites', to='basic.organism')),
                ('where', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='websites', to='panel.hosting')),
            ],
        ),
        migrations.CreateModel(
            name='Machine',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('alias', models.CharField(max_length=64)),
                ('token', models.CharField(default=uuid.uuid4, help_text='Optional - Autogenerated if left blank', max_length=50)),
                ('mac_addr', models.CharField(blank=True, max_length=256)),
                ('ip4_addr', models.GenericIPAddressField(blank=True, default=None, null=True, verbose_name='IPv4 address')),
                ('ip6_addr', models.GenericIPAddressField(blank=True, default=None, null=True, unpack_ipv4=True, verbose_name='IPv6 address')),
                ('hostname', models.CharField(max_length=256)),
                ('provider', models.CharField(blank=True, choices=[('dummy', 'dummy'), ('rackspace', 'rackspace'), ('digitalocean', 'digitalocean')], max_length=25)),
                ('username', models.CharField(default='root', max_length=256)),
                ('password', models.CharField(blank=True, max_length=256)),
                ('last_time', models.DateTimeField(blank=True, null=True)),
                ('owner', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='machines', to='basic.organism')),
            ],
            options={
                'verbose_name': 'Machine',
            },
        ),
    ]
